Compare commits

...

26 Commits

Author SHA1 Message Date
Taiki Endo
c87777c316 Release 2.47.11 2025-01-11 12:53:30 +09:00
Taiki Endo
1fde53ce9d Update editorconfig-checker@latest to 3.1.2 2025-01-11 09:34:29 +09:00
Taiki Endo
0779861fb4 Release 2.47.10 2025-01-10 20:50:52 +09:00
Taiki Endo
975a95d384 Update cargo-udeps@latest to 0.1.54 2025-01-10 13:20:47 +09:00
Taiki Endo
da05975632 tools: Update scripts and markdownlint config 2025-01-10 01:41:02 +09:00
Taiki Endo
df5dec2a2f Release 2.47.9 2025-01-10 00:40:12 +09:00
Taiki Endo
4eafe80cf6 Update changelog 2025-01-10 00:39:40 +09:00
Taiki Endo
7d472ffc8d Update protoc@latest to 3.29.3 2025-01-10 00:38:47 +09:00
Taiki Endo
f82e1be4c6 codegen: Reflect editorconfig-checker 3.1.0 Windows asset_name change 2025-01-10 00:04:25 +09:00
Taiki Endo
a4d120e1c4 ci: Remove GitHub-hosted ubuntu-20.04 runner test
https://github.blog/changelog/2024-12-05-notice-of-upcoming-releases-and-breaking-changes-for-github-actions/
2025-01-08 01:00:26 +09:00
Taiki Endo
08d473f7b2 Release 2.47.8 2025-01-07 22:05:27 +09:00
Taiki Endo
94493127b2 Update sccache@latest to 0.9.1 2025-01-07 18:13:00 +09:00
Taiki Endo
50698ce116 Apply unnameable_types lint 2025-01-07 00:52:02 +09:00
Taiki Endo
ed51b980a0 Update cargo-binstall@latest to 1.10.19 2025-01-04 15:15:48 +09:00
Taiki Endo
a86da1a3cb Release 2.47.7 2025-01-04 00:18:50 +09:00
Taiki Endo
1668c0c558 Update typos@latest to 1.29.4 2025-01-04 00:13:36 +09:00
Taiki Endo
a779dafd49 Release 2.47.6 2025-01-03 12:22:08 +09:00
Taiki Endo
2a650b8687 Update typos@latest to 1.29.3 2025-01-03 06:13:25 +09:00
Taiki Endo
656b4969d3 Release 2.47.5 2025-01-03 01:17:30 +09:00
Taiki Endo
52b84660a3 Update typos@latest to 1.29.1 2025-01-03 01:00:37 +09:00
Taiki Endo
84ccb7b697 ci: Clean up scripts 2025-01-03 00:54:42 +09:00
Taiki Endo
63d5217a35 ci: Test windows-2025 2025-01-03 00:50:49 +09:00
Taiki Endo
cf1be1a00f Release 2.47.4 2025-01-03 00:39:03 +09:00
Taiki Endo
444e3608dd Update xh@latest to 0.23.1 2025-01-02 21:15:31 +09:00
Taiki Endo
716fb8f756 Release 2.47.3 2025-01-02 13:08:16 +09:00
Taiki Endo
870e4de1b5 Update knope@latest to 0.18.2 2025-01-02 12:56:50 +09:00
22 changed files with 539 additions and 129 deletions

View File

@@ -24,6 +24,7 @@ protoc
pwsh
quickinstall
rclone
rootfs
sccache
syft
udeps

View File

@@ -25,7 +25,7 @@ env:
defaults:
run:
shell: bash
shell: bash --noprofile --norc -CeEuxo pipefail {0}
concurrency:
group: ${{ github.workflow }}-${{ github.event.pull_request.number || github.sha }}
@@ -46,7 +46,6 @@ jobs:
matrix:
include:
# NB: Sync list with https://github.com/taiki-e/checkout-action/blob/HEAD/.github/workflows/ci.yml
- os: ubuntu-20.04
- os: ubuntu-22.04
- os: ubuntu-24.04
- os: ubuntu-22.04
@@ -68,6 +67,11 @@ jobs:
bash: msys64
- os: windows-2022
bash: cygwin
- os: windows-2025
- os: windows-2025
bash: msys64
- os: windows-2025
bash: cygwin
- os: windows-2022
tool: major.minor.patch
- os: windows-2022
@@ -79,7 +83,7 @@ jobs:
steps:
- uses: taiki-e/checkout-action@v1
# cross attempts to install rust-src when Cargo.toml is available even if `cross --version`
- run: rm Cargo.toml
- run: rm -- Cargo.toml
- name: Generate tool list
id: tool-list
run: tools/ci/tool-list.sh "${{ matrix.tool }}" "${{ matrix.os }}" "${{ matrix.bash }}" >>"${GITHUB_OUTPUT}"
@@ -154,13 +158,13 @@ jobs:
- opensuse/tumbleweed:latest # glibc 2.39 (as of 2024-07-19)
- archlinux:latest # glibc 2.39 (as of 2024-07-19)
- alpine:latest # musl 1.2.5 (as of alpine 3.20)
# - openwrt/rootfs:x86-64-openwrt-24.10 # musl 1.2.5
runs-on: ubuntu-latest
timeout-minutes: 60
container: ${{ matrix.container }}
steps:
- name: Install requirements (old debian)
run: |
set -CeEuxo pipefail
# In Debian, the old repositories is removed from the main mirrors some time after EoL.
sed -i /etc/apt/sources.list -e 's/deb.debian.org/archive.debian.org/g' \
-e 's|security.debian.org|archive.debian.org/|g' \
@@ -168,7 +172,6 @@ jobs:
if: startsWith(matrix.container, 'debian:9')
- name: Install requirements (centos)
run: |
set -CeEuxo pipefail
# In CentOS, the old repositories is removed from the main mirrors just after EoL.
# https://github.com/rust-lang/rust/pull/126352
sed -i /etc/yum.repos.d/*.repo -e 's!^mirrorlist!#mirrorlist!' \
@@ -191,7 +194,7 @@ jobs:
if: startsWith(matrix.container, 'centos')
- uses: taiki-e/checkout-action@v1
# cross attempts to install rust-src when Cargo.toml is available even if `cross --version`
- run: rm Cargo.toml
- run: rm -- Cargo.toml
- name: Generate tool list
id: tool-list
run: tools/ci/tool-list.sh >>"${GITHUB_OUTPUT}"
@@ -204,6 +207,16 @@ jobs:
tool: ${{ steps.tool-list.outputs.tool }}
env:
GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
- name: Test bash
run: just --version && shfmt --version
shell: bash
# TODO: OCI runtime exec failed: exec failed: unable to start container process: exec: "bash": executable file not found in $PATH: unknown
if: (!startsWith(matrix.container, 'opensuse'))
- name: Test sh
run: just --version && shfmt --version
shell: sh
# TODO: OCI runtime exec failed: exec failed: unable to start container process: exec: "sh": executable file not found in $PATH: unknown
if: (!startsWith(matrix.container, 'opensuse'))
manifest:
runs-on: ubuntu-latest

View File

@@ -10,7 +10,7 @@ on:
defaults:
run:
shell: bash
shell: bash --noprofile --norc -CeEuxo pipefail {0}
jobs:
create-release:

View File

@@ -1,9 +1,10 @@
# https://github.com/DavidAnson/markdownlint#rules--aliases
# https://github.com/DavidAnson/markdownlint/blob/HEAD/doc/Rules.md
config:
line-length: false
no-duplicate-heading: false
no-inline-html: false
no-emphasis-as-heading: false
line-length: false # MD013
no-duplicate-heading: false # MD024
no-blanks-blockquote: false # MD028
no-inline-html: false # MD033
no-emphasis-as-heading: false # MD036
# https://github.com/DavidAnson/markdownlint-cli2#markdownlint-cli2jsonc
noBanner: true

View File

@@ -10,6 +10,46 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.47.11] - 2025-01-11
- Update `editorconfig-checker@latest` to 3.1.2.
## [2.47.10] - 2025-01-10
- Update `cargo-udeps@latest` to 0.1.54.
## [2.47.9] - 2025-01-09
- Update `editorconfig-checker@latest` to 3.1.1.
- Update `protoc@latest` to 3.29.3.
## [2.47.8] - 2025-01-07
- Update `sccache@latest` to 0.9.1.
- Update `cargo-binstall@latest` to 1.10.19.
## [2.47.7] - 2025-01-03
- Update `typos@latest` to 1.29.4.
## [2.47.6] - 2025-01-03
- Update `typos@latest` to 1.29.3.
## [2.47.5] - 2025-01-02
- Update `typos@latest` to 1.29.1.
## [2.47.4] - 2025-01-02
- Update `xh@latest` to 0.23.1.
## [2.47.3] - 2025-01-02
- Update `knope@latest` to 0.18.2.
## [2.47.2] - 2024-12-31
- Update `typos@latest` to 1.29.0.
@@ -3274,7 +3314,16 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.47.2...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.47.11...HEAD
[2.47.11]: https://github.com/taiki-e/install-action/compare/v2.47.10...v2.47.11
[2.47.10]: https://github.com/taiki-e/install-action/compare/v2.47.9...v2.47.10
[2.47.9]: https://github.com/taiki-e/install-action/compare/v2.47.8...v2.47.9
[2.47.8]: https://github.com/taiki-e/install-action/compare/v2.47.7...v2.47.8
[2.47.7]: https://github.com/taiki-e/install-action/compare/v2.47.6...v2.47.7
[2.47.6]: https://github.com/taiki-e/install-action/compare/v2.47.5...v2.47.6
[2.47.5]: https://github.com/taiki-e/install-action/compare/v2.47.4...v2.47.5
[2.47.4]: https://github.com/taiki-e/install-action/compare/v2.47.3...v2.47.4
[2.47.3]: https://github.com/taiki-e/install-action/compare/v2.47.2...v2.47.3
[2.47.2]: https://github.com/taiki-e/install-action/compare/v2.47.1...v2.47.2
[2.47.1]: https://github.com/taiki-e/install-action/compare/v2.47.0...v2.47.1
[2.47.0]: https://github.com/taiki-e/install-action/compare/v2.46.20...v2.47.0

View File

@@ -13,6 +13,7 @@ rust_2018_idioms = "warn"
single_use_lifetimes = "warn"
unexpected_cfgs = { level = "warn", check-cfg = [
] }
unnameable_types = "warn"
unreachable_pub = "warn"
unsafe_op_in_unsafe_fn = "warn"
[workspace.lints.clippy]

View File

@@ -159,7 +159,10 @@ download_and_extract() {
*.zip)
unzip -q tmp "${bin_in_archive#\./}"
for tmp in "${bin_in_archive[@]}"; do
mv "${tmp}" "${bin_dir}/"
case "${tool}" in
editorconfig-checker) mv "${tmp}" "${bin_dir}/${tool}${exe}" ;;
*) mv "${tmp}" "${bin_dir}/" ;;
esac
done
;;
*)

View File

@@ -22,32 +22,32 @@
},
"license_markdown": "[GPL-3.0](https://github.com/cargo-bins/cargo-binstall/blob/HEAD/crates/bin/LICENSE)",
"latest": {
"version": "1.10.18"
"version": "1.10.19"
},
"1.10.18": {
"1.10.19": {
"x86_64_linux_musl": {
"etag": "0x8DD2701DB5E5F3C",
"checksum": "3cee9a0e3074a9ed397b33de8d6f73c1bc591a041af3b57c4e9f5aa9939a5c21"
"etag": "0x8DD2C8160F75960",
"checksum": "44f44538682b103312b37961edbd06428dcbf927a0afc3cc89062d45bc08d688"
},
"x86_64_macos": {
"etag": "0x8DD270174067A5B",
"checksum": "7ae2edf8c057b4da57374de604047125d6ffcff36c13e1481912707c016245c1"
"etag": "0x8DD2C811A50D857",
"checksum": "a2ae7d9ea8a4c58d5c5d8405cc3eed80e3b3027dcce16fd2f36116cb2926080f"
},
"x86_64_windows": {
"etag": "0x8DD27029B083B68",
"checksum": "b0fde17b48f0a43b57d218388e58ce89689b3b91d8e272500ed85789656510b5"
"etag": "0x8DD2C821B327936",
"checksum": "f80e1f22b452a3069aec615ed03bc74a2a9e57e1c92d09868537dc0cd852da8f"
},
"aarch64_linux_musl": {
"etag": "0x8DD270186728539",
"checksum": "f9d1c2cc5f703eebf4e15260298ac7d644dc25d5691b23413b2337da340787dc"
"etag": "0x8DD2C811BD72089",
"checksum": "7e95454e15278eb746790e67bb3f3620e3f4ded13956e7887f6f9a8b1f21c1ab"
},
"aarch64_macos": {
"etag": "0x8DD2701C1E5AD95",
"checksum": "cdd82130ba1c98ca4db63c44087881d6ae92ba642ba6361654987a707040aabd"
"etag": "0x8DD2C814B56C94F",
"checksum": "e6abcd57e2918f50f85117e80799ef525876b4e109a5126561ed69f89bb79ee5"
},
"aarch64_windows": {
"etag": "0x8DD270271851C1E",
"checksum": "e8c206865a9bac281e44939968f53d53c31c466f8b15e2cf7ac293c793a0da46"
"etag": "0x8DD2C8225C8456F",
"checksum": "285891e236fc3e12dff687e15cf69805fc9edbc20eb8fb1e046065b59f711b46"
}
}
}

View File

@@ -32,10 +32,36 @@
},
"license_markdown": "[Apache-2.0 OR MIT](https://github.com/est31/cargo-udeps/blob/HEAD/LICENSE)",
"latest": {
"version": "0.1.53"
"version": "0.1.54"
},
"0.1": {
"version": "0.1.53"
"version": "0.1.54"
},
"0.1.54": {
"x86_64_linux_musl": {
"etag": "0x8DD31143C857BA5",
"checksum": "866b51683487d8aa69a59e7b7728e3f6d302388eda40db8816943d14d30fbc42"
},
"x86_64_macos": {
"etag": "0x8DD31146F76A8A8",
"checksum": "9bf127b7f9bacc54eaf8f1a764d6458530c7df6bce782ec4b8cba034c6bfd36c"
},
"x86_64_windows": {
"etag": "0x8DD3114B71A7832",
"checksum": "c34dc47902d3b9dadf567808ecab19863ab0bd01c039c0cca5df938efd59eb79"
},
"aarch64_linux_musl": {
"etag": "0x8DD311439500EB5",
"checksum": "69a061b2f3111fefcc7bfe3d0cc927c54dcd2f5f6db0cfe15277bdb9bc17e925"
},
"aarch64_macos": {
"etag": "0x8DD311411580373",
"checksum": "36b225eaf938c4520578cfa77471bd05e9f4a09067ee4fee545ddf63e6dbfba4"
},
"aarch64_windows": {
"etag": "0x8DD3114D12BF7AC",
"checksum": "0257ad2d653751c94828ee27cec916f8297681954ea51907d10c7e2a4cdea155"
}
},
"0.1.53": {
"x86_64_linux_musl": {

View File

@@ -1,143 +1,283 @@
{
"rust_crate": null,
"template": {
"template": null,
"license_markdown": "[MIT](https://github.com/editorconfig-checker/editorconfig-checker/blob/main/LICENSE)",
"latest": {
"version": "3.1.2"
},
"3": {
"version": "3.1.2"
},
"3.1": {
"version": "3.1.2"
},
"3.1.2": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-linux-amd64.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-linux-amd64.tar.gz",
"etag": "0x8DD31C3802BB3A5",
"checksum": "3fd4fc81e5077f89faddb71ff05a5d6e2983b8c3953d1b1b6663c7245300e653",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-darwin-amd64.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-darwin-amd64.tar.gz",
"etag": "0x8DD31C37FF6AE95",
"checksum": "f9077b2bbf93db1e7019cc35a567aa80937cd5680cf8453ed00f3eb47e9feea4",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-windows-amd64.exe.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-windows-amd64.zip",
"etag": "0x8DD31C380C87BA2",
"checksum": "58ced741383e4e8d68aeeda4c2a6c08deb52e45fbb3a5a976c52f161b62b8032",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-linux-arm64.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-linux-arm64.tar.gz",
"etag": "0x8DD31C38037B40E",
"checksum": "1333275ced71f1814db1ae677681a1b8b9d412d7046675594f7cdb1f8c7c47d1",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-darwin-arm64.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-darwin-arm64.tar.gz",
"etag": "0x8DD31C37FF9B85E",
"checksum": "ca7ad4492a3235d853662dec88485073a01a782e121e308336832a14b95a765d",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v${version}/ec-windows-arm64.exe.tar.gz",
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-windows-arm64.zip",
"etag": "0x8DD31C3814F3C50",
"checksum": "af97bc69a6f6283818aa32788d8d6d884aafb1a30b939a7e9930a812dd30c75e",
"bin": "bin/ec-windows-arm64.exe"
}
},
"license_markdown": "[MIT](https://github.com/editorconfig-checker/editorconfig-checker/blob/main/LICENSE)",
"latest": {
"version": "3.0.3"
"3.1.1": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-linux-amd64.tar.gz",
"etag": "0x8DD30098E5600DE",
"checksum": "d750eebd0b296e1f2aa8e900f4fcc2e248e9638bd1bf9e858203ee236a21de00",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-darwin-amd64.tar.gz",
"etag": "0x8DD30098E51E6C5",
"checksum": "b414347a24fae1bdb88d7504dd5ffb69fcd9c7894eadc1a8c9124666388fd121",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-windows-amd64.zip",
"etag": "0x8DD30098E9B475F",
"checksum": "a6a7340365f51ab37a665e79d2cfeca46d25065b95ee01061abeb7ef666bc9b8",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-linux-arm64.tar.gz",
"etag": "0x8DD30098E7918D1",
"checksum": "f7cbdfd08704b8ab83f5b48ab6c8354d4aef01c408ab8c181c6d571bc1a4e24a",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-darwin-arm64.tar.gz",
"etag": "0x8DD30098ED2BACB",
"checksum": "44115eaef1c0b5d9ca09bbd7c7e3afadfe2ff14b8c04251eceb055163623f93f",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.1/ec-windows-arm64.zip",
"etag": "0x8DD30098EE0B4BA",
"checksum": "c028558c17100d89ff9a8a4c2b2fb75ae1047aa9431601679d66f37d581ccfc5",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3": {
"version": "3.0.3"
"3.1.0": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-linux-amd64.tar.gz",
"etag": "0x8DD2FEB7A3F6836",
"checksum": "43158e9de5ff5c22b1e972440d830511621dbd2c3b8a57878896c7bd26032dde",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-darwin-amd64.tar.gz",
"etag": "0x8DD2FEB7A06E4AA",
"checksum": "f75ca35ec49b839997b26f1ccfe5b87f912217fdbe2b80992c8fac159c18e36c",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-windows-amd64.zip",
"etag": "0x8DD2FEB79ABBDF1",
"checksum": "98570ba73976e756e8312530fed2d6caa0a1510d9552530a0e18f127df1ed186",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-linux-arm64.tar.gz",
"etag": "0x8DD2FEB796602D4",
"checksum": "3ac92a540367ccc24c07fd0cfcf00128d93f47c22efcd504bbbcbf5df5040686",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-darwin-arm64.tar.gz",
"etag": "0x8DD2FEB79FF253A",
"checksum": "29cf6e46df2efad7878ed28ba251a329a2a51b0570cb49e0a97bfd252a32d28a",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.0/ec-windows-arm64.zip",
"etag": "0x8DD2FEB7A7B6A3D",
"checksum": "84b9f74cee3074e95aa361344c88f3b0d0628a72fcf86d413cc651f9c49415c8",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3.0": {
"version": "3.0.3"
},
"3.0.3": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-linux-amd64.tar.gz",
"etag": "0x8DC9B4F6F214767",
"checksum": "fc698b0bf5bca0d42e28dd59d72e25487a51f645ca242c5f74bae975369f16aa"
"checksum": "fc698b0bf5bca0d42e28dd59d72e25487a51f645ca242c5f74bae975369f16aa",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-darwin-amd64.tar.gz",
"etag": "0x8DC9B4F53C6A5D4",
"checksum": "34bb2f4f34c4909b4ff415a5054ed47a6162f4e03857bdf2cfd7d166bbc91ce0"
"checksum": "34bb2f4f34c4909b4ff415a5054ed47a6162f4e03857bdf2cfd7d166bbc91ce0",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-windows-amd64.exe.tar.gz",
"etag": "0x8DC9B4FAFC7A9F3",
"checksum": "97d7b0530a172e49310010408286176665bbeedf6b38058ac3f125409c3a3b82"
"checksum": "97d7b0530a172e49310010408286176665bbeedf6b38058ac3f125409c3a3b82",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-linux-arm64.tar.gz",
"etag": "0x8DC9B4F74C548E5",
"checksum": "d5991ae92170af79ec2052840176bf155d00eaf6eb5a2c8ffbf46f6378c21776"
"checksum": "d5991ae92170af79ec2052840176bf155d00eaf6eb5a2c8ffbf46f6378c21776",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-darwin-arm64.tar.gz",
"etag": "0x8DC9B4F56839C1F",
"checksum": "70b7f80dbfa89454dfa68f40c5d2f871bd8c311f01c822f78455b94536d87995"
"checksum": "70b7f80dbfa89454dfa68f40c5d2f871bd8c311f01c822f78455b94536d87995",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.3/ec-windows-arm64.exe.tar.gz",
"etag": "0x8DC9B4FB58861E0",
"checksum": "6561c4a34c9e7df7e3f5abfaed5bbe5e43317db222b637f4b3a6d8e298120384"
"checksum": "6561c4a34c9e7df7e3f5abfaed5bbe5e43317db222b637f4b3a6d8e298120384",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3.0.2": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-linux-amd64.tar.gz",
"etag": "0x8DC9A9036E834A7",
"checksum": "2f11b26b34d97f07120038bf517af029b99f90fe96b77369fd66a301ab7a557e"
"checksum": "2f11b26b34d97f07120038bf517af029b99f90fe96b77369fd66a301ab7a557e",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-darwin-amd64.tar.gz",
"etag": "0x8DC9A901B300824",
"checksum": "8e935c86dc9c8b4156ae96292b7f490b73cb8c50a3ab3943792dcbe6b7474764"
"checksum": "8e935c86dc9c8b4156ae96292b7f490b73cb8c50a3ab3943792dcbe6b7474764",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-windows-amd64.exe.tar.gz",
"etag": "0x8DC9A9078A4F62F",
"checksum": "74ecb356917a55ad4276b09ae2cd0fe28ab8878121c5173a35b5acadd50e7bf1"
"checksum": "74ecb356917a55ad4276b09ae2cd0fe28ab8878121c5173a35b5acadd50e7bf1",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-linux-arm64.tar.gz",
"etag": "0x8DC9A903C7370B0",
"checksum": "8836eabc57daf4717b55ae2ce002469f8a14123c2129b7a9cf0597c98acfe928"
"checksum": "8836eabc57daf4717b55ae2ce002469f8a14123c2129b7a9cf0597c98acfe928",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-darwin-arm64.tar.gz",
"etag": "0x8DC9A901E0A289A",
"checksum": "0eb627ea862b81c7645052a142fc0ff882fe491aad040a8be6a80f2d36a8635f"
"checksum": "0eb627ea862b81c7645052a142fc0ff882fe491aad040a8be6a80f2d36a8635f",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.2/ec-windows-arm64.exe.tar.gz",
"etag": "0x8DC9A907E6D6B4A",
"checksum": "3eb2ea381ad5c621f41a8c1bd2fc9312b5aabfa904078f4a4875302f4a8434ec"
"checksum": "3eb2ea381ad5c621f41a8c1bd2fc9312b5aabfa904078f4a4875302f4a8434ec",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3.0.1": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-linux-amd64.tar.gz",
"etag": "0x8DC54967F3BEFBA",
"checksum": "debda88bcf5048280101b743b3104732650c8b49a2a017ed815481c817cfe13f"
"checksum": "debda88bcf5048280101b743b3104732650c8b49a2a017ed815481c817cfe13f",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-darwin-amd64.tar.gz",
"etag": "0x8DC549663BF24F5",
"checksum": "9e4b4e1340e905bfe0b993fe1343e95e0714eb8b715e35608018a8420866a60e"
"checksum": "9e4b4e1340e905bfe0b993fe1343e95e0714eb8b715e35608018a8420866a60e",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-windows-amd64.exe.tar.gz",
"etag": "0x8DC5496CCD13EDB",
"checksum": "902556a8558108f910834f3e116f778e4a6710dbc74f79a065039ea52abe4d25"
"checksum": "902556a8558108f910834f3e116f778e4a6710dbc74f79a065039ea52abe4d25",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-linux-arm64.tar.gz",
"etag": "0x8DC549684C470C1",
"checksum": "59de9965c7b2629112b158bedff3f132115bd53fd14e3b477cc3a5fc77233e6b"
"checksum": "59de9965c7b2629112b158bedff3f132115bd53fd14e3b477cc3a5fc77233e6b",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-darwin-arm64.tar.gz",
"etag": "0x8DC54966905DDEE",
"checksum": "d7f0d4fbc05cee0afcb7debc130f2dd133fbd2a03ba80efa0d21fd19d774bf1b"
"checksum": "d7f0d4fbc05cee0afcb7debc130f2dd133fbd2a03ba80efa0d21fd19d774bf1b",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.1/ec-windows-arm64.exe.tar.gz",
"etag": "0x8DC5496CEA80BFE",
"checksum": "b845ef4cd75fe76233f5537111bf24f9aeb3fc69f0aa90a4ebf306ad8028aa08"
"checksum": "b845ef4cd75fe76233f5537111bf24f9aeb3fc69f0aa90a4ebf306ad8028aa08",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3.0.0": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-linux-amd64.tar.gz",
"etag": "0x8DC3C3FCCBF9621",
"checksum": "8e2f3c5fa4891542535185a4859c5f92832bc11821eb03a081bc6bd87af5a829"
"checksum": "8e2f3c5fa4891542535185a4859c5f92832bc11821eb03a081bc6bd87af5a829",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-darwin-amd64.tar.gz",
"etag": "0x8DC3C3FC9D55B3A",
"checksum": "d331806227c1a1ed96ddd34eceac51bd1cef0121f78bdb09d509771f6e5aec79"
"checksum": "d331806227c1a1ed96ddd34eceac51bd1cef0121f78bdb09d509771f6e5aec79",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-windows-amd64.exe.tar.gz",
"etag": "0x8DC3C3FD475C8CB",
"checksum": "ff171ef63361bbd783622ba778a83e6fe5d6615e8b9e9e9c2f2c177e89dba499"
"checksum": "ff171ef63361bbd783622ba778a83e6fe5d6615e8b9e9e9c2f2c177e89dba499",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-linux-arm64.tar.gz",
"etag": "0x8DC3C3FD0E61D19",
"checksum": "edf1d12ba1e6ff70090f063e7937081b49ba6007cd02e45f8329bbf965ed609e"
"checksum": "edf1d12ba1e6ff70090f063e7937081b49ba6007cd02e45f8329bbf965ed609e",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-darwin-arm64.tar.gz",
"etag": "0x8DC3C3FC9B59AE9",
"checksum": "35324d5914d147cb51859e49c48909cef22ae448fca407b9d39f95dcc77be109"
"checksum": "35324d5914d147cb51859e49c48909cef22ae448fca407b9d39f95dcc77be109",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.0.0/ec-windows-arm64.exe.tar.gz",
"etag": "0x8DC3C3FD4E1CCA2",
"checksum": "40b382a225a345e28f575010b637a372eb004ba3f1544341df0fbc265d183ff6"
"checksum": "40b382a225a345e28f575010b637a372eb004ba3f1544341df0fbc265d183ff6",
"bin": "bin/ec-windows-arm64.exe"
}
}
}

30
manifests/knope.json generated
View File

@@ -3,10 +3,36 @@
"template": null,
"license_markdown": "[MIT](https://github.com/knope-dev/knope/blob/main/LICENSE)",
"latest": {
"version": "0.18.1"
"version": "0.18.2"
},
"0.18": {
"version": "0.18.1"
"version": "0.18.2"
},
"0.18.2": {
"x86_64_linux_musl": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.18.2/knope-x86_64-unknown-linux-musl.tgz",
"etag": "0x8DD2ACDFF5567F8",
"checksum": "c43e040643cc16f14a70444d79dcf4e9c4eaa896664f598005386637c2534e6f",
"bin": "knope-x86_64-unknown-linux-musl/knope"
},
"x86_64_macos": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.18.2/knope-x86_64-apple-darwin.tgz",
"etag": "0x8DD2ACDFF51C290",
"checksum": "f9cc757233467e192a0904f2e9c2ef5aa1a7e715235b98520af33fd986d115f2",
"bin": "knope-x86_64-apple-darwin/knope"
},
"x86_64_windows": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.18.2/knope-x86_64-pc-windows-msvc.tgz",
"etag": "0x8DD2ACDFF558EDB",
"checksum": "0e5775244e10a7e9de89be4f0f485e23bfa6c98ad008b85d54a1235b4e7bd123",
"bin": "knope-x86_64-pc-windows-msvc/knope.exe"
},
"aarch64_macos": {
"url": "https://github.com/knope-dev/knope/releases/download/knope/v0.18.2/knope-aarch64-apple-darwin.tgz",
"etag": "0x8DD2ACDFF4E6AFA",
"checksum": "ff35f72455a498e9a407b483c1d6ddb962f6ae31b1989db6dfc09e88da270b3b",
"bin": "knope-aarch64-apple-darwin/knope"
}
},
"0.18.1": {
"x86_64_linux_musl": {

33
manifests/protoc.json generated
View File

@@ -3,13 +3,40 @@
"template": null,
"license_markdown": "[BSD-3-Clause](https://github.com/protocolbuffers/protobuf/blob/HEAD/LICENSE)",
"latest": {
"version": "3.29.2"
"version": "3.29.3"
},
"3": {
"version": "3.29.2"
"version": "3.29.3"
},
"3.29": {
"version": "3.29.2"
"version": "3.29.3"
},
"3.29.3": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v29.3/protoc-29.3-linux-x86_64.zip",
"etag": "0x8DD3027A46B7D11",
"checksum": "3e866620c5be27664f3d2fa2d656b5f3e09b5152b42f1bedbf427b333e90021a"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v29.3/protoc-29.3-osx-x86_64.zip",
"etag": "0x8DD3027A4A7CD08",
"checksum": "9a788036d8f9854f7b03c305df4777cf0e54e5b081e25bf15252da87e0e90875"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v29.3/protoc-29.3-win64.zip",
"etag": "0x8DD3027A4D31921",
"checksum": "57ea59e9f551ad8d71ffaa9b5cfbe0ca1f4e720972a1db7ec2d12ab44bff9383"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v29.3/protoc-29.3-linux-aarch_64.zip",
"etag": "0x8DD3027A41A3612",
"checksum": "6427349140e01f06e049e707a58709a4f221ae73ab9a0425bc4a00c8d0e1ab32"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v29.3/protoc-29.3-osx-aarch_64.zip",
"etag": "0x8DD3027A47D6A3C",
"checksum": "2b8a3403cd097f95f3ba656e14b76c732b6b26d7f183330b11e36ef2bc028765"
}
},
"3.29.2": {
"x86_64_linux_gnu": {

26
manifests/sccache.json generated
View File

@@ -24,10 +24,32 @@
},
"license_markdown": "[Apache-2.0](https://github.com/mozilla/sccache/blob/main/LICENSE)",
"latest": {
"version": "0.9.0"
"version": "0.9.1"
},
"0.9": {
"version": "0.9.0"
"version": "0.9.1"
},
"0.9.1": {
"x86_64_linux_musl": {
"etag": "0x8DD2EF9E3F7EE20",
"checksum": "911f611db54e48dc50c32232462a99848824be5ba0f6f52cc33903712cd78715"
},
"x86_64_macos": {
"etag": "0x8DD2EF9E2CF88D7",
"checksum": "14495d2db913d4d0e1ab4b44a3e1d2c3d44693a5a405deb5a1b5c05e8f34af37"
},
"x86_64_windows": {
"etag": "0x8DD2EF9E361AE78",
"checksum": "12578536fc5e3de6c385eb4b56d0537ebeb21b9a221242833624572b71910049"
},
"aarch64_linux_musl": {
"etag": "0x8DD2EF9E118A350",
"checksum": "a0f10f7daeeecb3439d6e903bc5dc4a4ccee67985b506d3daf742521efe45627"
},
"aarch64_macos": {
"etag": "0x8DD2EF9DFE5C27C",
"checksum": "a2725e27c12961301834fe4c56ab982af6e8eb86fd51b82179369f1682776800"
}
},
"0.9.0": {
"x86_64_linux_musl": {

60
manifests/typos.json generated
View File

@@ -16,13 +16,67 @@
},
"license_markdown": "[MIT](https://github.com/crate-ci/typos/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/crate-ci/typos/blob/master/LICENSE-APACHE)",
"latest": {
"version": "1.29.0"
"version": "1.29.4"
},
"1": {
"version": "1.29.0"
"version": "1.29.4"
},
"1.29": {
"version": "1.29.0"
"version": "1.29.4"
},
"1.29.4": {
"x86_64_linux_musl": {
"etag": "0x8DD2BFEF497C99A",
"checksum": "5eebaff491e2d503b225751e461bcba849efc19c6075f780b45887920a2e3506"
},
"x86_64_macos": {
"etag": "0x8DD2BFF38DE029E",
"checksum": "8f4b7d97ea6bf5ed1e9f4545cab39886373b07766a00edbef10de2f567d3762e"
},
"x86_64_windows": {
"etag": "0x8DD2BFF400FE29A",
"checksum": "bac4aef428259aca9c99286d99921dc09da6032afc6d54ba0334615991adbb26"
},
"aarch64_macos": {
"etag": "0x8DD2BFF45584668",
"checksum": "8701cd7ed32c61dda3fe5fbd5516d63d5daeecb377ac0d1cc149d9e88ff87975"
}
},
"1.29.3": {
"x86_64_linux_musl": {
"etag": "0x8DD2B6BB018B914",
"checksum": "bf8f18721055483eae9420c424ae28fe11b8881278ac060e65566f3b65cdcfa8"
},
"x86_64_macos": {
"etag": "0x8DD2B6C237CC2A5",
"checksum": "5e5f52a23c36e4ff06194f690c874a52a8a07d113f2b906ad29424614057c1a5"
},
"x86_64_windows": {
"etag": "0x8DD2B6C6C818914",
"checksum": "462bf6b62a49c65860ae57a11c332f8dbaeaddc0384c5f5f8225af31c83dbd5b"
},
"aarch64_macos": {
"etag": "0x8DD2B6BF6D405F3",
"checksum": "fb1ad842dcd06a79048ff6a6d3be64e79729a9a14b954638d709f759431d6df6"
}
},
"1.29.1": {
"x86_64_linux_musl": {
"etag": "0x8DD2B44978440AE",
"checksum": "f4d9630c51bdf9398ebcd70bee485302eb14b9e4ddf1f8101deab8d30621ffda"
},
"x86_64_macos": {
"etag": "0x8DD2B44B0A26BB5",
"checksum": "33002029990b5645fe9a541fa321a2bb053894b776f57435b6a75ad1854ad007"
},
"x86_64_windows": {
"etag": "0x8DD2B4504BFD839",
"checksum": "35829b5ce8c5194aa3bdc93ccfe86b70555dffa6074174c85c21f5569361ce11"
},
"aarch64_macos": {
"etag": "0x8DD2B44B4B50C21",
"checksum": "264ceb033679b7a5c8d5647f3b1c0f0c5cdb8fbf0454dd83bdb94f2fd0e03d5e"
}
},
"1.29.0": {
"x86_64_linux_musl": {

26
manifests/xh.json generated
View File

@@ -24,10 +24,32 @@
},
"license_markdown": "[MIT](https://github.com/ducaale/xh/blob/master/LICENSE)",
"latest": {
"version": "0.23.0"
"version": "0.23.1"
},
"0.23": {
"version": "0.23.0"
"version": "0.23.1"
},
"0.23.1": {
"x86_64_linux_musl": {
"etag": "0x8DD2B233BDE1B21",
"checksum": "a29ed6afcabf2c575c24499397fa3a840047dffc4a68e4a1a886f22584712946"
},
"x86_64_macos": {
"etag": "0x8DD2B2368C2662C",
"checksum": "e9e0f97e16095d2afb7e9247e6d250c95673dc3305a05539aafc2506ab59ad0a"
},
"x86_64_windows": {
"etag": "0x8DD2B2378B25C5D",
"checksum": "ea2da950b69c1093c1c2f7293fa1bc75cd7ae5719ff23397ee985bf1995a8014"
},
"aarch64_linux_musl": {
"etag": "0x8DD2B2336F9AF21",
"checksum": "52654b727a7a9dd712afaa40f4b6d3127079b9d95c24ee7a96e477941e5ca751"
},
"aarch64_macos": {
"etag": "0x8DD2B230558D457",
"checksum": "849841ce3c05cd64405d6282298869185a806b4f008ab5c6809fb8700e985f01"
}
},
"0.23.0": {
"x86_64_linux_musl": {

View File

@@ -1,11 +1,12 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/../..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/../..
bail() {
echo >&2 "error: $*"
printf >&2 'error: %s\n' "$*"
exit 1
}
@@ -13,15 +14,17 @@ if [[ -z "${CI:-}" ]]; then
bail "this script is intended to call from release workflow on CI"
fi
git config user.name "Taiki Endo"
git config user.email "te316e89@gmail.com"
git config user.name 'Taiki Endo'
git config user.email 'te316e89@gmail.com'
set -x
has_update=''
for manifest in manifests/*.json; do
git add -N "${manifest}"
if ! git diff --exit-code -- "${manifest}"; then
name=$(basename "${manifest%.*}")
name="${manifest##*/}"
name="${name%.*}"
git stash
old_version=$(jq -r '.latest.version' "${manifest}")
git stash pop
@@ -29,7 +32,7 @@ for manifest in manifests/*.json; do
if [[ "${old_version}" != "${new_version}" ]]; then
# TODO: If there is a line about updating the same tool in the "Unreleased" section, replace it.
msg="Update \`${name}@latest\` to ${new_version}"
sed -i "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n- ${msg}./" CHANGELOG.md
sed -Ei "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n- ${msg}./" CHANGELOG.md
git add "${manifest}" CHANGELOG.md
else
msg="Update ${name} manifest"
@@ -40,6 +43,6 @@ for manifest in manifests/*.json; do
fi
done
if [[ -n "${has_update:-}" ]] && [[ -n "${GITHUB_OUTPUT:-}" ]]; then
echo "success=false" >>"${GITHUB_OUTPUT}"
if [[ -n "${has_update}" ]] && [[ -n "${GITHUB_OUTPUT:-}" ]]; then
printf 'success=false\n' >>"${GITHUB_OUTPUT}"
fi

View File

@@ -1,8 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/../..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/../..
# They don't provide prebuilt binaries for musl or old glibc host.
# version `GLIBC_2.34' not found
@@ -53,7 +54,7 @@ case "${1:-}" in
incompat_tools+=(valgrind cargo-binstall)
;;
*)
echo "tool=$1"
printf 'tool=%s\n', "$1"
exit 1
;;
esac
@@ -63,7 +64,7 @@ case "$(uname -s)" in
Linux)
host_os=linux
ldd_version=$(ldd --version 2>&1 || true)
if grep <<<"${ldd_version}" -q 'musl'; then
if grep -Fq musl <<<"${ldd_version}"; then
incompat_tools+=("${musl_incompat[@]}")
else
host_glibc_version=$(grep -E "GLIBC|GNU libc" <<<"${ldd_version}" | sed "s/.* //g")
@@ -92,7 +93,7 @@ case "$(uname -s)" in
fi
fi
fi
if ! type -P snap &>/dev/null; then
if ! type -P snap >/dev/null; then
incompat_tools+=(valgrind)
fi
;;
@@ -112,9 +113,10 @@ esac
tools=()
for manifest in tools/codegen/base/*.json; do
tool_name=$(basename "${manifest%.*}")
tool_name="${manifest##*/}"
tool_name="${tool_name%.*}"
# cross -V requires rustc
if [[ "${tool_name}" == "cross" ]] && ! type -P rustc &>/dev/null; then
if [[ "${tool_name}" == "cross" ]] && ! type -P rustc >/dev/null; then
continue
fi
case "${host_os}" in
@@ -133,7 +135,7 @@ for manifest in tools/codegen/base/*.json; do
done
if [[ -n "${tool_name}" ]]; then
if [[ "${version}" != "latest" ]]; then
latest_version=$(jq -r ".latest.version" "manifests/${tool_name}.json")
latest_version=$(jq -r '.latest.version' "manifests/${tool_name}.json")
case "${version}" in
major.minor.patch) tool_name+="@${latest_version}" ;;
major.minor) tool_name+="@${latest_version%.*}" ;;
@@ -159,7 +161,7 @@ case "${host_os}" in
linux*)
# Installing snap to container is difficult...
# Specifying the version of valgrind is not supported.
if type -P snap &>/dev/null && [[ "${version}" == "latest" ]]; then
if type -P snap >/dev/null && [[ "${version}" == "latest" ]]; then
tools+=(valgrind)
fi
;;
@@ -181,5 +183,5 @@ IFS=$'\n\t'
# TODO: inject random space before/after of tool name for testing https://github.com/taiki-e/install-action/issues/115.
IFS=','
echo "tool=${tools[*]}"
printf 'tool=%s\n' "${tools[*]}"
IFS=$'\n\t'

View File

@@ -20,11 +20,11 @@
"bin": "bin/ec-darwin-arm64"
},
"x86_64_windows": {
"asset_name": "ec-windows-amd64${exe}.tar.gz",
"asset_name": ["ec-windows-amd64.zip", "ec-windows-amd64${exe}.tar.gz"],
"bin": "bin/ec-windows-amd64${exe}"
},
"aarch64_windows": {
"asset_name": "ec-windows-arm64${exe}.tar.gz",
"asset_name": ["ec-windows-arm64.zip", "ec-windows-arm64${exe}.tar.gz"],
"bin": "bin/ec-windows-arm64${exe}"
}
}

View File

@@ -1,8 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Update manifests
#
@@ -15,6 +16,7 @@ if [[ $# -gt 0 ]]; then
fi
for manifest in tools/codegen/base/*.json; do
package=$(basename "${manifest%.*}")
package="${manifest##*/}"
package="${package%.*}"
cargo run --manifest-path tools/codegen/Cargo.toml --release -- "${package}" latest
done

View File

@@ -1,11 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Publish a new release.
#
@@ -26,7 +24,7 @@ retry() {
"$@"
}
bail() {
echo >&2 "error: $*"
printf >&2 'error: %s\n' "$*"
exit 1
}
@@ -41,6 +39,11 @@ fi
if [[ $# -gt 1 ]]; then
bail "invalid argument '$2'"
fi
if { sed --help 2>&1 || true; } | grep -Eq -e '-i extension'; then
in_place=(-i '')
else
in_place=(-i)
fi
# Make sure there is no uncommitted change.
git diff --exit-code
@@ -52,12 +55,15 @@ if gh release view "${tag}" &>/dev/null; then
fi
# Make sure that the release was created from an allowed branch.
if ! git branch | grep -q '\* main$'; then
if ! git branch | grep -Eq '\* main$'; then
bail "current branch is not 'main'"
fi
if ! git remote -v | grep -F origin | grep -Eq 'github\.com[:/]taiki-e/'; then
bail "cannot publish a new release from fork repository"
fi
release_date=$(date -u '+%Y-%m-%d')
tags=$(git --no-pager tag | (grep -E "^${tag_prefix}[0-9]+" || true))
tags=$(git --no-pager tag | { grep -E "^${tag_prefix}[0-9]+" || true; })
if [[ -n "${tags}" ]]; then
# Make sure the same release does not exist in changelog.
if grep -Eq "^## \\[${version//./\\.}\\]" "${changelog}"; then
@@ -67,11 +73,12 @@ if [[ -n "${tags}" ]]; then
bail "link to ${version} already exist in ${changelog}"
fi
# Update changelog.
remote_url=$(grep -E '^\[Unreleased\]: https://' "${changelog}" | sed 's/^\[Unreleased\]: //; s/\.\.\.HEAD$//')
remote_url=$(grep -E '^\[Unreleased\]: https://' "${changelog}" | sed -E 's/^\[Unreleased\]: //; s/\.\.\.HEAD$//')
prev_tag="${remote_url#*/compare/}"
remote_url="${remote_url%/compare/*}"
sed -i "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n## [${version}] - ${release_date}/" "${changelog}"
sed -i "s#^\[Unreleased\]: https://.*#[Unreleased]: ${remote_url}/compare/${tag}...HEAD\\n[${version}]: ${remote_url}/compare/${prev_tag}...${tag}#" "${changelog}"
sed -E "${in_place[@]}" \
-e "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n## [${version}] - ${release_date}/" \
-e "s#^\[Unreleased\]: https://.*#[Unreleased]: ${remote_url}/compare/${tag}...HEAD\\n[${version}]: ${remote_url}/compare/${prev_tag}...${tag}#" "${changelog}"
if ! grep -Eq "^## \\[${version//./\\.}\\] - ${release_date}$" "${changelog}"; then
bail "failed to update ${changelog}"
fi
@@ -94,18 +101,9 @@ changes=$(parse-changelog "${changelog}" "${version}")
if [[ -z "${changes}" ]]; then
bail "changelog for ${version} has no body"
fi
echo "============== CHANGELOG =============="
echo "${changes}"
echo "======================================="
tools=()
for tool in tools/codegen/base/*.json; do
tools+=("$(basename "${tool%.*}")")
done
# Alias
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
printf '============== CHANGELOG ==============\n'
printf '%s\n' "${changes}"
printf '=======================================\n'
if [[ -n "${tags}" ]]; then
# Create a release commit.
@@ -134,10 +132,20 @@ retry git push origin --tags
git checkout main
git branch -d "${major_version_tag}"
tools=()
for tool in tools/codegen/base/*.json; do
tool="${tool##*/}"
tools+=("${tool%.*}")
done
# Alias
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
for tool in "${tools[@]}"; do
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
sed -E "${in_place[@]}" "s/required: true/required: false/g" action.yml
sed -E "${in_place[@]}" "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
retry git push origin -f refs/heads/"${tool}"

View File

@@ -155,6 +155,7 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
binaries=''
metadata=$(cargo metadata --format-version=1 --no-deps)
has_public_crate=''
has_root_crate=''
venv_install_yq
for id in $(jq <<<"${metadata}" '.workspace_members[]'); do
pkg=$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})")
@@ -178,6 +179,7 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
publish=$(jq <<<"${root_pkg}" -r '.publish')
# Publishing is unrestricted if null, and forbidden if an empty array.
if [[ "${publish}" != "[]" ]]; then
has_root_crate=1
exclude=$(venv tomlq -r '.package.exclude[]' Cargo.toml)
if ! grep <<<"${exclude}" -Eq '^/\.\*$'; then
error "top-level Cargo.toml of non-virtual workspace should have 'exclude' field with \"/.*\""
@@ -200,6 +202,13 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
# TODO: fully respect exclude field in Cargo.toml.
case "${p}" in
.* | tools/* | target-specs/*) continue ;;
*/*) ;;
*)
# If there is no crate at root, executables at the repository root directory if always okay.
if [[ -z "${has_root_crate}" ]]; then
continue
fi
;;
esac
if [[ -x "${p}" ]]; then
executables+="${p}"$'\n'

View File

@@ -1,8 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Update markdown
#